/**
 * @file animal.h
 * Header file for Animal class.
 *
 * Copyright 2003 by GameBuilders.
 * Distributed WITHOUT WARRANTY under the GPL.  See COPYING for details.
 */
#ifndef _ANIMAL_H
#define _ANIMAL_H

#include "object.h"

class Animal : public Object {
public:
    Animal(Model *model, Vec3 position, double mass);

    /**
     * Take one step in a direction.
     * @param dir the direction to step towards.
     */
    void step(Vec3 dir);
protected:
    double _speed;     ///< how fast I can run
};

#endif // header guard
