/**
 * @file bucket.h
 * Header file for Bucket class.
 *
 * Copyright 2003 by GameBuilders.
 * Distributed WITHOUT WARRANTY under the GPL.  See COPYING for details.
 */
#ifndef _BUCKET_H
#define _BUCKET_H

#include "object.h"

class Bucket : public Object {
public:
    Bucket( Model *model, Vec3 position = Vec3( 0.0, 0.0, 0.0 ), dMatrix3 orientation = NULL, Vec3 scale = Vec3( 1.0, 1.0, 1.0 ), double mass = 1.0, bool on = false, bool stationary = true, bool movable = false, const bool rotatable[3] = NULL );
    virtual ~Bucket( );

    virtual void render( bool selected = false );
    virtual string get_type_str( ) const { return "bucket"; }
private:

    dGeomID _geom_ids[5];
};

#endif // header guard
