/**
 * @file cat.cpp
 * Implementation of Cat class.
 *
 * Copyright 2003 by GameBuilders.
 * Distributed WITHOUT WARRANTY under the GPL.  See COPYING for details.
 */

#include "cat.h"
#include "feareffect.h"
#include "model.h"

Model cat_model(blue);

Cat::Cat(Vec3 position) :
    Animal( &cat_model, position, 10.0 )
{
    _speed = 0.5;
}

void Cat::tick(double t)
{
    FearEffect effect( this, 10 );
    effect.apply_to_all();
}

EffectHandler Cat::get_effect_handler(Effect *effect)
{
    if ( IS_MEAT_EFFECT( effect ) ) {
        return (EffectHandler)&Cat::_handle_meat_effect;
    }
    return Animal::get_effect_handler( effect );
}

void Cat::_handle_meat_effect(MeatEffect *effect)
{
    /*
    Vec3 where = effect->get_origin();
    Vec3 dir = where - _position;

    if (norm2(dir) > 100*100) {
        // it's too far away.. we don't care.
        return;
    }

    unitize(dir);
    this->step(dir); // run towards
    */
}
