/**
 * @file conveyorbelt.h
 * Header file for ConveyorBelt class.
 *
 * Copyright 2003 by GameBuilders.
 * Distributed WITHOUT WARRANTY under the GPL.  See COPYING for details.
 */
#ifndef _CONVEYORBELT_H
#define _CONVEYORBELT_H

#include "shapeobject.h"

class ConveyorBelt : public ShapeObject {
public:
    ConveyorBelt( Model *model, Shape shape, Vec3 position = Vec3( 0.0, 0.0, 0.0 ), dMatrix3 orientation = NULL, Vec3 scale = Vec3( 1.0, 1.0, 1.0 ), double mass = 1.0, bool on = false, bool stationary = true, bool movable = false, const bool rotatable[3] = NULL );

    virtual void tick( double t );

    virtual void render( bool selected = true );

    virtual void collide( dContact* contact );

    virtual string get_type_str( ) const { return "conveyorbelt"; }
private:
    double _texture_slide;
};

#endif // header guard
