/**
 * @file /home/guy/src/AP/actors/seesaw.h
 * Header for Seesaw class
 *
 * Copyright 2003 by GameBuilders.
 * Distributed WITHOUT WARRANTY under the GPL.  See COPYING for details.
 */
#ifndef _SEESAW_H
#define _SEESAW_H

#include "shapeobject.h"

#include "object.h"
#include "shape.h"

class Seesaw : public ShapeObject {
public:
    Seesaw( Model *model, Vec3 position = Vec3( 0.0, 0.0, 0.0 ), dMatrix3 orientation = NULL, Vec3 scale = Vec3( 1.0, 1.0, 1.0 ), double mass = 1.0, bool on = false, bool stationary = true, bool movable = false, const bool rotatable[3] = NULL );
    virtual ~Seesaw();

    virtual void render( bool selected = false );
    virtual void start_sim( void );

    virtual string get_type_str( ) const { return "seesaw"; }
private:
    dJointID _hinge;
};

#endif // header guard
