/**
 * @file /home/guy/src/AP/actors/shapeobject.h
 * Header for ShapeObject class.
 *
 * Copyright 2003 by GameBuilders.
 * Distributed WITHOUT WARRANTY under the GPL.  See COPYING for details.
 */
#ifndef _SHAPEOBJECT_H
#define _SHAPEOBJECT_H

#include "object.h"
#include "shape.h"

class ShapeObject : public Object {
public:
    ShapeObject( Model *model, Shape shape, Vec3 position = Vec3( 0.0, 0.0, 0.0 ), dMatrix3 orientation = NULL, Vec3 scale = Vec3( 1.0, 1.0, 1.0 ), double mass = 1.0, bool on = false, bool stationary = true, bool movable = false, const bool rotatable[3] = NULL );

    virtual string get_type_str( ) const { return "shape"; }
    virtual string get_info( ) const
        { return "shape=\"" + to_string( _shape ) + "\" " + Object::get_info(); }
private:
    Shape _shape;
};

#endif // header guard
