/**
 * @file actors/trigger.h
 * Header for Trigger class.
 *
 * Copyright 2003 by GameBuilders.
 * Distributed WITHOUT WARRANTY under the GPL.  See COPYING for details.
 */
#ifndef _TRIGGER_H
#define _TRIGGER_H

#include "shapeobject.h"
#include "connectable.h"

class Trigger : public ShapeObject, public Connectable {
public:
    Trigger( Model *model, Shape shape, Vec3 position = Vec3( 0.0, 0.0, 0.0 ), dMatrix3 orientation = NULL, Vec3 scale = Vec3( 1.0, 1.0, 1.0 ), double mass = 1.0, bool on = false, bool stationary = true, bool movable = false, const bool rotatable[3] = NULL );

    virtual void stop_sim( );

    virtual void tick( double t );

    virtual void collide( dContact* contact );

    virtual string get_type_str( ) const { return "trigger"; }

    virtual string get_info( ) const;
private:
    double _timer;      ///< how long to stay on
};

#endif // header guard
