/**
 * @file worldbox.h
 * Header file for WorldBox class.
 *
 * Copyright 2003 by GameBuilders.
 * Distributed WITHOUT WARRANTY under the GPL.  See COPYING for details.
 */
#ifndef _WORLDBOX_H
#define _WORLDBOX_H

#include "material.h"

#include <gfx/vec3.h>

#include <ode/ode.h>

class WorldBox {
public:

    // size is taken to be total size of box in each dimension, centered
    // the origin
    WorldBox( Vec3 size, const Material& box_mat, const Material& cloud_mat );

    ~WorldBox( void );

    void render( void );

    Vec3 get_size() { return _size; }

    string WorldBox::get_info() const;
private:

    Material _material;
    Material _clouds;

    dGeomID _geom_id[ 6 ];

    Vec3 _size;

    Vec3 _min, _max;

    double _cloud_ds;
    double _cloud_dt;
};

#endif // header guard
