/**
 * @file electriceffect.h
 * Header for ElectricEffect class.
 *
 * Copyright 2003 by GameBuilders.
 * Distributed WITHOUT WARRANTY under the GPL.  See COPYING for details.
 */
#ifndef _ELECTRICEFFECT_H
#define _ELECTRICEFFECT_H

#include "powereffect.h"

/**
 * Supplies power to an electrical object, like a light.
 */
class ElectricEffect : public PowerEffect {
public:
    ElectricEffect() { }
    ElectricEffect(Actor *sender, int voltage) : PowerEffect( sender, voltage ) { }

    /**
     * @return how many volts are applied.
     */
    int get_voltage()
        { return get_magnitude(); }

    virtual RecList& get_receiver_list()
        { return _receiver_list; }
private:
    static RecList _receiver_list;
};

#define TO_ELECTRIC_EFFECT(pobj)    TO_EFFECT(pobj, ElectricEffect)
#define IS_ELECTRIC_EFFECT(pobj)    TO_ELECTRIC_EFFECT(pobj)

#endif // header guard
