/**
 * @file lighteffect.h
 * Header for LightEffect class.
 *
 * Copyright 2003 by GameBuilders.
 * Distributed WITHOUT WARRANTY under the GPL.  See COPYING for details.
 */
#ifndef _LIGHTEFFECT_H
#define _LIGHTEFFECT_H

#include "powereffect.h"

/**
 * When light is shining on an object.
 */
class LightEffect : public PowerEffect {
public:
    LightEffect() { }
    LightEffect(Actor *sender, int bright) : PowerEffect( sender, bright ) { }

    /**
     * @return how bright the light is.
     */
    int get_brightness()
        { return get_magnitude(); }

    virtual RecList& get_receiver_list()
        { return _receiver_list; }
private:
    static RecList _receiver_list;
};

#define TO_LIGHT_EFFECT(pobj)    TO_EFFECT(pobj, LightEffect)
#define IS_LIGHT_EFFECT(pobj)    TO_LIGHT_EFFECT(pobj)

#endif // header guard
