#include "gamestate.h"

GameState* GameState::_gamestate = NULL;

GameState::GameState( void ) :
    _current_level( NULL ), _current_state( MAIN ), _previous_state( MAIN )
{
    _gamestate = this;
}

GameState::~GameState( void )
{
    delete _current_level;
}

void GameState::change_state( const State state )
{
    _previous_state = _current_state;

    _current_state = state;
}

void GameState::load_level( const string filename )
{
    if( _current_level )
        delete _current_level;

    _current_level = new Level( filename );
}

Level* GameState::get_level( void )
{
    return _current_level;
}


void GameState::tick( double t )
{
    if ( _current_state == RUN_SIM ) {
        _current_level->tick( t );
    }

    if( _current_state == RUN_SIM && _current_level && _current_level->level_completed() )
    {
        if( true )
        {
            // there is another level
            change_state( END_LEVEL );
        }
        else
        {
            // that was the last level
            change_state( END_GAME );
        }
    }

    // any other per-frame checking the gamestate needs to do...
}

void GameState::stop_sim( void )
{
    if( !_current_level )
        return;

    _current_level->stop_sim();

    change_state( GAMEPLAY );
}

void GameState::reset_level( void )
{
    if( !_current_level )
        return;

    string filename = _current_level->get_filename();

    load_level( filename );

    _current_level->reset_level();

    change_state( GAMEPLAY );
}
