#ifndef _GOAL_H
#define _GOAL_H

#include "object.h"

#include <gfx/vec3.h>

enum GoalType {
    INSIDE,
    OUTSIDE,
    ACTIVATE,
    DEACTIVATE
};

class Goal {
public:

    Goal( int ID, GoalType goal_type, int object_id, 
            Vec3 position = Vec3( 0.0, 0.0, 0.0 ),
            double radius = 0.0, double delay = 0.0 );

    ~Goal( void );

    void tick( double t );

    bool check_goal( const Object* object );

    int get_object_id( void ) const { return _object_id; }

    string get_info( ) const;

public:
    int _id;

    GoalType _goaltype;

    int _object_id;

    Vec3 _position;

    double _radius;

    double _delay;

private:
    double _complete_timer;
}; 

#endif
