/**
 * @file shapemodel.h
 * Header for ShapeModel class.
 *
 * Copyright 2003 by GameBuilders.
 * Distributed WITHOUT WARRANTY under the GPL.  See COPYING for details.
 */
#ifndef _SHAPEMODEL_H
#define _SHAPEMODEL_H

#include "utils.h"
#include "model.h"
#include "shape.h"

#include <gfx/gl.h>

/**
 * A model for basic shapes.
 */
class ShapeModel : public Model {
public:
    ShapeModel( Shape shape, Vec3 size );

    ShapeModel( Shape shape, Vec3 size, const Material& mat );

    virtual ~ShapeModel();

    virtual void render( void );

    virtual Vec3 get_min( void ) { return _min; }
    virtual Vec3 get_max( void ) { return _max; }
private:
    void _gen_object();

    GLUquadric *_quadric;
    Shape _shape;
    Vec3 _size;
    Vec3 _min, _max;
};

#endif // header guard
